<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.5
Name: [2] Organizacja odpowiedzialna za dokument (bazowy)
Description: Bazowy szablon CDA dla organizacji odpowiedzialnej za przechowywanie i udostępnianie dokumentu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000">
   <title>[2] Organizacja odpowiedzialna za dokument (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]"
         id="tmp-r-9b3a0ab7-ac35-49a1-a389-ebdd040d61fe">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/@nullFlavor)">(plCdaBaseCustodian): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&lt;=1">(plCdaBaseCustodian): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']"
         id="tmp-r-56cf1a23-03e9-436f-9de8-7bb061706d6f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(plCdaBaseCustodian): Wartość dla @typeCode MUSI wynosić 'CST'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5']/@nullFlavor)">(plCdaBaseCustodian): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5'])&lt;=1">(plCdaBaseCustodian): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(plCdaBaseCustodian): element hl7:assignedCustodian jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(plCdaBaseCustodian): element hl7:assignedCustodian występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5']
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.5']"
         id="tmp-r-3498021d-64ed-47ee-85f1-29a2f310b0c9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseCustodian): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.5'">(plCdaBaseCustodian): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.5'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseCustodian): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian"
         id="tmp-r-22f2dccf-1472-4368-90ba-f51c7fa33741">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaBaseCustodian): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(plCdaBaseCustodian): element hl7:representedCustodianOrganization jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(plCdaBaseCustodian): element hl7:representedCustodianOrganization występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-ea35cc07-14d7-4451-8614-ece487568373">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(plCdaBaseCustodian): Wartość dla @classCode MUSI wynosić 'ORG'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(plCdaBaseCustodian): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaBaseCustodian): element hl7:id jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.5
Context: *[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (plCdaBaseCustodian)
-->

   <rule context="*[hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']]/hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-bcc4d9e7-48ba-4e4a-a060-195c76b6d99b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseCustodian): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="@root">(plCdaBaseCustodian): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseCustodian): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="@displayable">(plCdaBaseCustodian): atrybut @displayable MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.5-2018-06-30T000000.html"
              test="not(@displayable) or string(@displayable)=('true','false')">(plCdaBaseCustodian): Atrybut @displayable MUSI być typu 'bl'</assert>
   </rule>
</pattern>
